import httpRequestApi from '../../utils/APIClient';
Page({
  /**
   * 页面的初始数据
   */
  data: {
      fullScreenBtn: false,
      playBtn: false,
      gesture: true,
      fanList:[],
      imageShow: false,
      line1: '您暂时没有关注过其他人哦',
      line2: '快去关注其他人吧',
      statusbarobj: {
        isshowbtn: false, //是否显示按钮
        title: "小学语文朗读配音", //标题
      },
  },
  toUserDetails: function(e){
    let uid = e.currentTarget.dataset.uid;
    console.log(uid);
    wx.navigateTo({
      url: `../myworks/myworks?uid=${uid}`
    });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (option) {
    console.log(option.title);
    if (option.title) {
      wx.setNavigationBarTitle({
        title: option.title//页面标题为路由参数
      });
      this.setData({
        title: option.title
      });
    }
    httpRequestApi.myFans().success(res => {
      this.setData({
        fanList: res.data.data.list
      },() => {
        console.log(this.data.fanList);
      });
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    if (res.from === 'button') {
      return {
        title: '请欣赏我的课文朗读作品，点赞+评论。',
        path: `/pages/index/index?readId=${this.data.shareId}`,
        imageUrl: '../../static/index/share_icon.png'

      }
    } else {
      return {
        title: '课文朗读，从未如此有趣。',
        path: '/pages/index/index',
      }
    }
  }
})